Bug 689895 - ns-newpwpolicy.pl needs to use the new DN format
ns-newpwpolicy.pl needs to use the new DN format
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
: screened
Depends On: 689866
Blocks: 639035
  Show dependency treegraph
 
Reported: 2011-03-22 14:23 EDT by Noriko Hosoi
Modified: 2015-01-04 18:47 EST (History)
5 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.8-0.7.rc2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 689866
Environment:
Last Closed: 2011-05-19 08:42:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2011-03-22 14:23:16 EDT
+++ This bug was initially created as a clone of Bug #689866 +++

Description of problem:
The command-line utility ns-newpwpolicy.pl (template-ns-newpwpolicy.pl.in) hasn't been modified to adjust to the new DN format.

It escapes only ',' in the nested DN, in which '=' also needs to be escaped.

--- Additional comment from nhosoi@redhat.com on 2011-03-22 13:19:28 EDT ---

Created attachment 486852 [details]
git patch file (master)

Description:  template-ns-newpwpolicy.pl.in hasn't been modified
to adjust to the new DN format.  It escapes only ',' in the nested
DN, in which '=' also needs to be escaped.  This patch fixed it.
Comment 3 Amita Sharma 2011-04-07 03:21:39 EDT
Tested the Bug by executing the pwd policy test suit.
Bug is fixed, marking it as VERIFIED.
Comment 4 errata-xmlrpc 2011-05-19 08:42:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0533.html

Note You need to log in before you can comment on or make changes to this bug.